xml-xalan-j-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Duffy <duff...@yahoo.com>
Subject Re: Problem Running Xalan 2.5.0 Under JDK 1.4.1-01 On Windows 2000
Date Fri, 09 May 2003 13:47:33 GMT

Hi Christine,

I just found the explanation about the
jre/lib/endorsed directory.  It's a new thing for me. 
Putting the Xalan and Xerces jars there got rid of the
exception. 

Thank you for your help.  Sincerely, MOD


--- Christine Li <jycli@ca.ibm.com> wrote:
> 
> 
> 
> 
> Hi, Michael
> 
> I don't know which note you are looking at. In Xalan
> FAQ, there are ways of
> workaround when using Xalan with JDK 1.4 or higher.
> http://xml.apache.org/xalan-j/faq.html#faq-N100CB
> 
> Christine Li
> XSLT Development
> IBM Toronto Lab
> Tel: (905)413-2601
> Email: jycli@ca.ibm.com
> 
> 
>                                                     
>                                                     
>                              
>                       Michael Duffy                 
>                                                     
>                              
>                       <duffymo@yahoo.co        To:  
>     xalan-j-users@xml.apache.org                    
>                              
>                       m>                       cc:  
>                                                     
>                              
>                                               
> Subject:  Problem Running Xalan 2.5.0 Under JDK
> 1.4.1-01 On Windows 2000                
>                       05/09/2003 09:15              
>                                                     
>                              
>                       AM                            
>                                                     
>                              
>                                                     
>                                                     
>                              
>                                                     
>                                                     
>                              
> 
> 
> 
> 
> When I try to run Xalan I get the following:
> 
> java.lang.ClassNotFoundException:
> org/apache/xml/dtm/ref/IncrementalSAXSource_Xerces
>         at java.lang.Class.forName0(Native Method)
>         at java.lang.Class.forName(Class.java:140)
>         at
>
org.apache.xml.dtm.ref.DTMManagerDefault.getDTM(DTMManagerDefault.java:269)
>         at
>
org.apache.xalan.transformer.TransformerImpl.transform(TransformerImpl.java:630)
> 
>         at
>
org.apache.xalan.transformer.TransformerImpl.transform(TransformerImpl.java:1088)
> 
>         at
>
org.apache.xalan.transformer.TransformerImpl.transform(TransformerImpl.java:1066)
> 
>         at
> org.apache.xalan.xslt.Process.main(Process.java:865)
> <?xml version="1.0" encoding="UTF-8"?>
> 
> Google turned up a note that implied a problem with
> Xalan under JDK 1.4 or higher, because it comes
> bundled with an older version of Xalan.  It said
> there
> was a workaround, but didn't say what it was.
> 
> I'm explicitly setting the CLASSPATH before I run
> and
> adding only the Xalan and Xerces jars that I think I
> need.
> 
> I looked in my JAVA_HOME/jre/lib/ext directory to
> make
> sure I hadn't hoisted myself by putting an older
> version there.
> 
> What's the workaround?  Thanks - MOD
> 
> 
> __________________________________
> Do you Yahoo!?
> The New Yahoo! Search - Faster. Easier. Bingo.
> http://search.yahoo.com
> 
> 
> 


__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com

Mime
View raw message